> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Destination Config



## OpenAPI

````yaml PATCH /api/v1/integrations/installations/{id}/destination-configs/{configId}
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/integrations/installations/{id}/destination-configs/{configId}:
    patch:
      tags:
        - integrations
      summary: Update a destination config
      operationId: IntegrationsDestinationConfigController_update_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: configId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDestinationConfigDto'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    UpdateDestinationConfigDto:
      type: object
      properties:
        name:
          type: string
        config:
          type: object
        isEnabled:
          type: boolean
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````